package ru.fincode.tsudesk.feature.schedule.presentation.screen

import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.ui.Modifier
import androidx.hilt.navigation.compose.hiltViewModel
import androidx.lifecycle.compose.collectAsStateWithLifecycle

@Composable
fun ScheduleRoute(
    modifier: Modifier = Modifier,
//    onOpenDetails: (lessonId: Long) -> Unit,
    viewModel: ScheduleViewModel = hiltViewModel(),
) {
    val state by viewModel.state.collectAsStateWithLifecycle()

    ScheduleScreen(
        state = state,
        onIntent = viewModel::onIntent,
        modifier = modifier
    )
}